
// Fonts
@import url('https://fonts.googleapis.com/css?family=Nunito');

// Variables
@import 'variables';

// Bootstrap
@import '~bootstrap/scss/bootstrap';

.navbar-laravel {
  position: sticky;
  top: 0;
  z-index: 100;
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.04);
}

body {
  background: #fff;
}

// main content area
.main {
  margin-left: 16rem;
}

// Side bar
.side-bar {
  position: fixed;
  left: 0;
  top: 54px;
  width: 16rem;
  background: #fff;
  z-index: 99;
  height: calc(-56px + 100vh);
  padding-top: 20px;
  float: left;
  overflow: auto;
  transition: 0.3s;
}

.side-bar-items {
  display: block;
  padding: 8px 8px 8px 24px;
  margin: 0 20px 1px 0;
  border-bottom-right-radius: 25px;
  border-top-right-radius: 25px;
  text-decoration: none;
  list-style-type: none;
}

.side-bar a {
  color: #000;
  text-decoration: none;
  font-size: 1.2rem;
}

.side-bar a:hover {
  background: rgba(204, 204, 204, 0.25);
}

.side-bar .active, .side-bar .router-link-active {
  font-weight: bold;
  background: rgba(204, 204, 204, 0.25);
}

.content-card {
  z-index: 2;
  cursor: pointer;
}

.content-card:hover {
  color: #fff;
  font-weight: bold;
  background: #3490dc !important;
}

// add-content
.content-type-card {
  z-index: 2;
  cursor: pointer;
  font-size: 5rem;
  min-height: 10rem;
}

.content-type-android:hover, .content-type-android.active {
  color: #fff;
  background: #24a845 !important;
}



.content-type-telegram:hover, .content-type-telegram.active{
  color: #fff;
  background: #0088CC !important;
}

.content-type-web:hover, .content-type-web.active {
  color: #fff;
  background: #FF4136 !important;
}

.content-type-card-label {
  display: block;
  font-size: 1rem;
}


// Non-desktop styles -------------------------
@media (max-width: 992px) {
  .main {
    margin-left: 0;
  }

  .side-bar {
    /*display: none;*/
    width: 0;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14),
    0 1px 5px 0 rgba(0, 0, 0, 0.0),
    0 3px 1px -2px rgba(0, 0, 0, 0.2);
  }
}
